


# refresh method




    *[<Null safety>](https://dart.dev/null-safety)*




[FutureOr](https://api.flutter.dev/flutter/dart-async/FutureOr-class.html)&lt;void> refresh
()





<p>Refreshes the current user, if signed in.</p>



## Implementation

```dart
FutureOr<void> refresh() async => CustomRoutine<Account, Data?>(
    routine: authenticationRepository.refresh,
    attachedLogic: onRefresh,
    onError: addError,
    onSuccess: (result, data) => authenticationRepository.addSession(
      SessionWrapper(
        event: RefreshedEvent(account: result),
        session: Session<Data>(
          account: result,
          data: data,
        ),
      ),
    ),
  ).call();
```







