


# delete method




    *[<Null safety>](https://dart.dev/null-safety)*



- @[override](https://api.flutter.dev/flutter/dart-core/override-constant.html)

[Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;void> delete
()

_<span class="feature">override</span>_



<p>Delete account.</p>
<p>Throws a DeleteAccountFailureInterface if
an exception occurs.</p>



## Implementation

```dart
@override
Future<void> delete() async {
  try {
    await _firebaseAuth.currentUser!.delete();
  } on FirebaseAuthException catch (e) {
    throw DeleteAccountFailureFirebase.fromCode(e.code);
  } catch (_) {
    throw DeleteAccountFailureFirebase();
  }
}
```







