


# signOut method




    *[<Null safety>](https://dart.dev/null-safety)*



- @[override](https://api.flutter.dev/flutter/dart-core/override-constant.html)

FutureOrResult&lt;void> signOut
()

_<span class="feature">override</span>_



<p>Signs out the current user.
It also clears the cache and the associated data.</p>



## Implementation

```dart
@override
FutureOrResult<void> signOut() =>
    Result.tryCatchAsync<void, AppException, AppException>(
      () async {
        await authenticationRemoteDataSource.signOut();
      },
      (error) => error,
    );
```







