


# dataChanged&lt;Value> method




    *[<Null safety>](https://dart.dev/null-safety)*



- @[override](https://api.flutter.dev/flutter/dart-core/override-constant.html)

[FutureOr](https://api.flutter.dev/flutter/dart-async/FutureOr-class.html)&lt;void> dataChanged
&lt;Value>([String](https://api.flutter.dev/flutter/dart-core/String-class.html) key, FormInputValidator&lt;Value, ValidationError> dirtyValue)








## Implementation

```dart
@override
FutureOr<void> dataChanged<Value>(
  String key,
  FormInputValidator<Value, ValidationError> dirtyValue,
) {
  final form = formRepository.accessForm(formName).clone();

  try {
    form.updateValidator(key, dirtyValue);
    formRepository.updateForm(form);
  } catch (e) {
    rethrow;
  }

  emit(
    state.copyWith(form: form, status: form.validate()),
  );
}
```







