


# update method




    *[<Null safety>](https://dart.dev/null-safety)*



- @[override](https://api.flutter.dev/flutter/dart-core/override-constant.html)

[FutureOr](https://api.flutter.dev/flutter/dart-async/FutureOr-class.html)&lt;void> update
(WyattForm form, {SetOperation operation = SetOperation.replace})








## Implementation

```dart
@override
FutureOr<void> update(
  WyattForm form, {
  SetOperation operation = SetOperation.replace,
}) {
  final WyattForm current = formRepository.accessForm(formName).clone();
  final WyattForm newForm = operation.operation.call(current, form);
  formRepository.updateForm(newForm);

  emit(
    state.copyWith(
      form: newForm,
      status: newForm.validate(),
    ),
  );
}
```







