


# stringify property




    *[<Null safety>](https://dart.dev/null-safety)*





**Annotations**

- @[override](https://api.flutter.dev/flutter/dart-core/override-constant.html)
[bool](https://api.flutter.dev/flutter/dart-core/bool-class.html) stringify
  
_<span class="feature">override</span>_



<p>If set to <code>true</code>, the <a href="https://pub.dev/documentation/equatable/2.0.5/equatable/Equatable/toString.html">toString</a> method will be overridden to output
this instance's <a href="../../wyatt_authentication_bloc/SessionWrapper/props.md">props</a>.</p>
<p>A global default value for <a href="../../wyatt_authentication_bloc/SessionWrapper/stringify.md">stringify</a> can be set using
<code>EquatableConfig.stringify</code>.</p>
<p>If this instance's <a href="../../wyatt_authentication_bloc/SessionWrapper/stringify.md">stringify</a> is set to null, the value of
<code>EquatableConfig.stringify</code> will be used instead. This defaults to
<code>false</code>.</p>



## Implementation

```dart
@override
bool get stringify => true;
```








