


# emailCustomChanged&lt;Validator extends FormInputValidator&lt;String?, ValidationError>> method




    *[<Null safety>](https://dart.dev/null-safety)*




void emailCustomChanged
&lt;Validator extends FormInputValidator&lt;String?, ValidationError>>(Validator validator)





<p>Same as <a href="../../wyatt_authentication_bloc/SignInWithEmailPassword/emailChanged.md">emailChanged</a> but with a custom <code>Validator</code>.</p>
<p>Sort of short hand for <a href="../../wyatt_authentication_bloc/BaseSignInCubit/dataChanged.md">dataChanged</a>.</p>



## Implementation

```dart
void emailCustomChanged<
    Validator extends FormInputValidator<String?, ValidationError>>(
  Validator validator,
) {
  dataChanged(AuthFormField.email, validator);
}
```







