


# delete method




    *[<Null safety>](https://dart.dev/null-safety)*




[FutureOr](https://api.flutter.dev/flutter/dart-async/FutureOr-class.html)&lt;void> delete
()





<p>Delete account.</p>
<p>Throws a DeleteAccountFailureInterface if
an exception occurs.</p>



## Implementation

```dart
FutureOr<void> delete() async => CustomRoutine<void, void>(
      routine: authenticationRepository.delete,
      attachedLogic: (routineResult) => onDelete(),
      onError: addError,
      onSuccess: (result, data) => authenticationRepository
          .addSession(SessionWrapper<Data>(event: const DeletedEvent())),
    ).call();
```







