


# signOut method




    *[<Null safety>](https://dart.dev/null-safety)*




[FutureOr](https://api.flutter.dev/flutter/dart-async/FutureOr-class.html)&lt;void> signOut
()





<p>Signs out the current user.
It also clears the cache and the associated data.</p>



## Implementation

```dart
FutureOr<void> signOut() async => CustomRoutine<void, void>(
      routine: authenticationRepository.signOut,
      attachedLogic: (routineResult) => onSignOut(),
      onError: addError,
      onSuccess: (result, data) => authenticationRepository
          .addSession(SessionWrapper<Data>(event: const SignedOutEvent())),
    ).call();
```







