


# SignUpWithEmailAndPasswordFailureFirebase.fromCode constructor




    *[<Null safety>](https://dart.dev/null-safety)*



SignUpWithEmailAndPasswordFailureFirebase.fromCode([String](https://api.flutter.dev/flutter/dart-core/String-class.html) code)





## Implementation

```dart
SignUpWithEmailAndPasswordFailureFirebase.fromCode(String code)
    : super.fromCode(code) {
  switch (code) {
    case 'invalid-email':
      msg = 'The email address is badly formatted.';
      break;
    case 'user-disabled':
      msg = 'This user has been disabled. Please contact support for help.';
      break;
    case 'email-already-in-use':
      msg = 'An account already exists for that email.';
      break;
    case 'operation-not-allowed':
      msg = 'Operation is not allowed. Please contact support.';
      break;
    case 'weak-password':
      msg = 'Please enter a stronger password.';
      break;
    default:
      this.code = 'unknown';
      msg = 'An unknown error occurred.';
  }
}
```







